Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037772
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2018-01-30 13:052018-02-27 13:11
ReporteregoitzView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionace20134bb9c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037772: Perfomance problems deleting an invoice on an environment with thousands of invoices and invoice lines

DescriptionIt takes few minutes to delete a order with only 3 lines.
Steps To Reproduce-Create a order
-Add 3 lines
-Delete the order
*It takes 3 minutes.
Proposed SolutionAddding the following index improves the deletion but it is not enought.

+ <index name="C_INVOICELINE_BOMPARENT" unique="false">
+ <index-column name="BOM_PARENT_ID"/>
+ <whereClause><![CDATA[BOM_PARENT_ID IS NOT NULL]]></whereClause>
+ </index>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00377733.0PR18Q1 closeddmiguelez Perfomance problems deleting an invoice on an environment with thousands of invoices and invoice lines 
depends on backport 00377743.0PR17Q4.1 closedTriage Finance Perfomance problems deleting an invoice on an environment with thousands of invoices and invoice lines 
related to defect 0038008 closeddmiguelez Perfomance problems deleting a shipment on an environment with thousands of hipments and shipments lines. 

-  Notes
(0102113)
egoitz (developer)
2018-02-01 10:05

The following index are also needed:


    CREATE INDEX m_costing_invoiceline
 ON m_costing
 USING btree
 (c_invoiceline_id);

    CREATE INDEX m_matchpo_invoiceline
 ON m_matchpo
 USING btree
 (c_invoiceline_id);


CREATE INDEX m_inout_invoice
  ON m_inout (c_invoice_id)
  WHERE m_inout is not null;
(0102242)
hgbot (developer)
2018-02-07 12:18

Repository: erp/devel/pi
Changeset: ace20134bb9cbfe1e4b88416920f366d8c86c77b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Feb 06 09:58:29 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ace20134bb9cbfe1e4b88416920f366d8c86c77b [^]

Fixes Issue 37772. Adds several indexes that improve performance
in basic operations like deleting an Invoice or an Order

---
M src-db/database/model/tables/C_INVOICELINE.xml
M src-db/database/model/tables/C_ORDER.xml
M src-db/database/model/tables/M_COSTING.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/model/tables/M_MATCHPO.xml
---
(0102243)
dmiguelez (developer)
2018-02-07 12:20
edited on: 2018-02-07 12:47

Tested with client's data.

Deleting and Order or an Invoice with 5 lines takes around 1 second through the application.

(0102251)
vmromanos (developer)
2018-02-07 13:52

Code review OK
(0102728)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-30 13:05 egoitz New Issue
2018-01-30 13:05 egoitz Assigned To => Triage Finance
2018-01-30 13:05 egoitz Modules => Core
2018-01-30 13:05 egoitz Triggers an Emergency Pack => No
2018-01-30 13:13 dmiguelez Status new => scheduled
2018-02-01 10:05 egoitz Note Added: 0102113
2018-02-07 12:18 hgbot Checkin
2018-02-07 12:18 hgbot Note Added: 0102242
2018-02-07 12:18 hgbot Status scheduled => resolved
2018-02-07 12:18 hgbot Resolution open => fixed
2018-02-07 12:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ace20134bb9cbfe1e4b88416920f366d8c86c77b [^]
2018-02-07 12:20 dmiguelez Note Added: 0102243
2018-02-07 12:47 dmiguelez Note Edited: 0102243 View Revisions
2018-02-07 12:49 vmromanos Assigned To Triage Finance => dmiguelez
2018-02-07 13:52 vmromanos Review Assigned To => vmromanos
2018-02-07 13:52 vmromanos Note Added: 0102251
2018-02-07 13:52 vmromanos Status resolved => closed
2018-02-07 13:52 vmromanos Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102728
2018-02-27 13:11 egoitz Issue cloned 0038008
2018-02-27 13:11 egoitz Relationship added related to 0038008


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker